Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.exhaustivesearch
Class ExhaustiveSearchSolverPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.SolverPhaseConfig
          org.optaplanner.core.config.exhaustivesearch.ExhaustiveSearchSolverPhaseConfig

    public class ExhaustiveSearchSolverPhaseConfig

extends SolverPhaseConfig

Nested Class Summary
`static class` | `ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType`
`static class` | `ExhaustiveSearchSolverPhaseConfig.NodeExplorationType`

Field Summary
`protected EntitySelectorConfig` | `entitySelectorConfig`
`protected ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType` | `exhaustiveSearchType`
`protected MoveSelectorConfig` | `moveSelectorConfig`
`protected ExhaustiveSearchSolverPhaseConfig.NodeExplorationType` | `nodeExplorationType`

Constructor Summary
`ExhaustiveSearchSolverPhaseConfig()`

Method Summary
`ExhaustiveSearchSolverPhase` | `buildSolverPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`protected EntityDescriptor` | `deduceEntityDescriptor(SolutionDescriptor solutionDescriptor)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType` | `getExhaustiveSearchType()`
`MoveSelectorConfig` | `getMoveSelectorConfig()`
`ExhaustiveSearchSolverPhaseConfig.NodeExplorationType` | `getNodeExplorationType()`
`void` | `inherit(ExhaustiveSearchSolverPhaseConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setExhaustiveSearchType(ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType exhaustiveSearchType)`
`void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`
`void` | `setNodeExplorationType(ExhaustiveSearchSolverPhaseConfig.NodeExplorationType nodeExplorationType)`

Methods inherited from class org.optaplanner.core.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exhaustiveSearchType

    protected ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType exhaustiveSearchType

### nodeExplorationType

    protected ExhaustiveSearchSolverPhaseConfig.NodeExplorationType nodeExplorationType

### entitySelectorConfig

    protected EntitySelectorConfig entitySelectorConfig

### moveSelectorConfig

    protected MoveSelectorConfig moveSelectorConfig

Constructor Detail

### ExhaustiveSearchSolverPhaseConfig

    public ExhaustiveSearchSolverPhaseConfig()

Method Detail

### getExhaustiveSearchType

    public ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType getExhaustiveSearchType()

### setExhaustiveSearchType

    public void setExhaustiveSearchType(ExhaustiveSearchSolverPhaseConfig.ExhaustiveSearchType exhaustiveSearchType)

### getNodeExplorationType

    public ExhaustiveSearchSolverPhaseConfig.NodeExplorationType getNodeExplorationType()

### setNodeExplorationType

    public void setNodeExplorationType(ExhaustiveSearchSolverPhaseConfig.NodeExplorationType nodeExplorationType)

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getMoveSelectorConfig

    public MoveSelectorConfig getMoveSelectorConfig()

### setMoveSelectorConfig

    public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

### buildSolverPhase

    public ExhaustiveSearchSolverPhase buildSolverPhase(int phaseIndex,
                                                        HeuristicConfigPolicy solverConfigPolicy,
                                                        BestSolutionRecaller bestSolutionRecaller,
                                                        Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### deduceEntityDescriptor

    protected EntityDescriptor deduceEntityDescriptor(SolutionDescriptor solutionDescriptor)

### inherit

    public void inherit(ExhaustiveSearchSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.